package manage

import (
	model2 "ArmedPolice/app/common/model"
	"ArmedPolice/app/controller/basic"
	"ArmedPolice/app/model"
	"ArmedPolice/app/service"
)

type Material struct{ *service.Session }

type MaterialHandle func(session *service.Session) *Material

func (c *Material) List(title string, page, pageSize int) (*basic.PageDataResponse, error) {
	mManageMaterial := model.NewManageMaterial()

	out := make([]*model2.ManageMaterial, 0)

	var count int64

	model2.PagesFields(mManageMaterial.ManageMaterial, &out, []string{"id", "title"}, page, pageSize, &count)

	return &basic.PageDataResponse{Data: nil, Count: 0}, nil
}

func (c *Material) Form() error {
	return nil
}

func (c *Material) Delete() error {
	return nil
}

func NewMaterial() MaterialHandle {
	return func(session *service.Session) *Material {
		return &Material{session}
	}
}
